[arch-commits] Commit in boost/repos (3 files)

Ionut Biru ibiru at archlinux.org
Sun Dec 13 17:40:19 UTC 2009


    Date: Sunday, December 13, 2009 @ 12:40:19
  Author: ibiru
Revision: 61229

Merged revisions 61228 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/boost/trunk

........
  r61228 | ibiru | 2009-12-13 19:39:39 +0200 (Sun, 13 Dec 2009) | 2 lines
  
  upgpkg: boost 1.41.0-1.1
      fix crc regression that is on x86_64 for gzip
........

Added:
  boost/repos/extra-x86_64/fix-gzip-crc.patch
    (from rev 61228, boost/trunk/fix-gzip-crc.patch)
Modified:
  boost/repos/extra-x86_64/	(properties)
  boost/repos/extra-x86_64/PKGBUILD

--------------------+
 PKGBUILD           |    9 ++++++---
 fix-gzip-crc.patch |   24 ++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 3 deletions(-)


Property changes on: boost/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /boost/trunk:1-60627
   + /boost/trunk:1-61228

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-12-13 17:39:39 UTC (rev 61228)
+++ extra-x86_64/PKGBUILD	2009-12-13 17:40:19 UTC (rev 61229)
@@ -7,20 +7,21 @@
 pkgname=boost
 pkgver=1.41.0
 _boostver=1_41_0
-pkgrel=1
+pkgrel=1.1
 pkgdesc="Free peer-reviewed portable C++ source libraries"
 arch=('i686' 'x86_64')
 url="http://www.boost.org/"
 depends=('bzip2' 'zlib')
 makedepends=('python>=2.6')
 optdepends=('python: for python bindings')
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}_${_boostver}.tar.gz
+	fix-gzip-crc.patch)
 license=('custom')
 options=(!ccache)
-md5sums=('ddb04c9b9164a36a91dcf36819666dd9')
 
 build() {
   cd "${srcdir}/${pkgname}_${_boostver}"
+  patch -Np1 -i $srcdir/fix-gzip-crc.patch || return 1
 
   # build bjam
   cd ${srcdir}/${pkgname}_${_boostver}/tools/jam/src
@@ -65,3 +66,5 @@
   install -m644 ${srcdir}/${pkgname}_${_boostver}/LICENSE_1_0.txt \
                 ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }
+md5sums=('ddb04c9b9164a36a91dcf36819666dd9'
+         '682f124a765b2935c7352f38c08848cc')

Copied: boost/repos/extra-x86_64/fix-gzip-crc.patch (from rev 61228, boost/trunk/fix-gzip-crc.patch)
===================================================================
--- extra-x86_64/fix-gzip-crc.patch	                        (rev 0)
+++ extra-x86_64/fix-gzip-crc.patch	2009-12-13 17:40:19 UTC (rev 61229)
@@ -0,0 +1,24 @@
+diff -Nur boost_1_41_0.orig/boost/iostreams/filter/zlib.hpp boost_1_41_0/boost/iostreams/filter/zlib.hpp
+--- boost_1_41_0.orig/boost/iostreams/filter/zlib.hpp	2009-10-14 18:20:36.000000000 +0300
++++ boost_1_41_0/boost/iostreams/filter/zlib.hpp	2009-12-13 16:47:53.078056507 +0200
+@@ -20,6 +20,7 @@
+ #include <memory>            // allocator, bad_alloc.
+ #include <new>          
+ #include <boost/config.hpp>  // MSVC, STATIC_CONSTANT, DEDUCED_TYPENAME, DINKUM.
++#include <boost/cstdint.hpp> // uint*_t
+ #include <boost/detail/workaround.hpp>
+ #include <boost/iostreams/constants.hpp>   // buffer size.
+ #include <boost/iostreams/detail/config/auto_link.hpp>
+@@ -43,9 +44,9 @@
+ namespace zlib {
+                     // Typedefs
+ 
+-typedef unsigned int uint;
+-typedef unsigned char byte;
+-typedef unsigned long ulong;
++typedef uint32_t uint;
++typedef uint8_t byte;
++typedef uint32_t ulong;
+ 
+ // Prefix 'x' prevents symbols from being redefined when Z_PREFIX is defined
+ typedef void* (*xalloc_func)(void*, zlib::uint, zlib::uint);




More information about the arch-commits mailing list